Bug 159274 - USB 3.0 Etron EJ168A does not work.
Summary: USB 3.0 Etron EJ168A does not work.
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 8.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-28 22:30 UTC by jseidel
Modified: 2017-12-31 22:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jseidel 2011-07-28 22:30:11 UTC
I have an ASrock E350M1/USB3 motherboard running freebsd 8.2.
If I enable xhci in the kernel, not only does it not detect the usb 3.0 controler, it causes the machine to go into a constant booting loop.

I have tried just adding "device xhci" to the kernel and also building the kernel by removing ehci, it still causing the machine to go into a booting loop.

Please take a look at this, the USB 3.0 controller uses Etron EJ168A, and if they default xhci into the generic kernel for the next release, I'm afraid someone else may get stuck into the booting loop like I did.

How-To-Repeat: build a kernel with "device xhci"
Comment 1 Peter Jeremy 2011-07-31 00:06:31 UTC
On 2011-Jul-28 21:25:45 +0000, Jason Seidel <jseidel@unixsystem.org> wrote:
>I have an ASrock E350M1/USB3 motherboard running freebsd 8.2.
>If I enable xhci in the kernel, not only does it not detect the usb 3.0 controler, it causes the machine to go into a constant booting loop.
>
>I have tried just adding "device xhci" to the kernel and also building the kernel by removing ehci, it still causing the machine to go into a booting loop.


Unfortunately, this isn't enough information to allow the problem to be
investigated.
- What is the PCI id of your USB3 controller?  This is available from pciconf.
- At what point does the system reboot & what is displayed immediately
  before the reboot.
- What happens if you boot GENERIC and kldload xhci?
- Can you gheck if the problem still exists with 9-CURRENT

-- 
Peter Jeremy
Comment 2 jseidel 2011-07-31 01:17:01 UTC
I'm not sure which Id it is there are usb2 and 3 controllers on the board. 

I just ran kldload xhci, here is what is displayed.

xhci0: <XHCI (generic) USB 3.0 controller> mem 0xfe900000-0xfe907fff irq 18 at
device 0.0 on pci5
xhci0: [ITHREAD]
xhci0: Driver does not support 64-byte contexts.xhci0: XHCI halt/start/probe
failed err=18
device_attach: xhci0 attach returned 6

# pciconf -lc
hostb0@pci0:0:0:0:      class=0x060000 card=0x15101849 chip=0x15101022
rev=0x00 hdr=0x00
vgapci0@pci0:0:1:0:     class=0x030000 card=0x98021849 chip=0x98021002
rev=0x00 hdr=0x00
    cap 01[50] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 10[58] = PCI-Express 2 root endpoint max data 128(128) link x0(x0)
    cap 05[a0] = MSI supports 1 message, 64 bit
ecap 000b[100] = unknown 1
hdac0@pci0:0:1:1:       class=0x040300 card=0x13141849 chip=0x13141002
rev=0x00 hdr=0x00
    cap 01[50] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 10[58] = PCI-Express 2 root endpoint max data 128(128) link x0(x0)
    cap 05[a0] = MSI supports 1 message, 64 bit enabled with 1 message
ecap 000b[100] = unknown 1
pcib1@pci0:0:4:0:       class=0x060400 card=0x12341022 chip=0x15121022
rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 128(128) link x1(x4)
    cap 05[a0] = MSI supports 1 message, 64 bit
    cap 0d[b0] = PCI Bridge card=0x12341022
    cap 08[b8] = HT MSI fixed address window enabled at 0xfee00000
ecap 000b[100] = unknown 1
atapci0@pci0:0:17:0:    class=0x010601 card=0x43911849 chip=0x43911002
rev=0x40 hdr=0x00
    cap 12[70] = SATA Index-Data Pair
    cap 13[a4] = PCI Advanced Features: FLR TP
ohci0@pci0:0:18:0:      class=0x0c0310 card=0x43971849 chip=0x43971002
rev=0x00 hdr=0x00
ehci0@pci0:0:18:2:      class=0x0c0320 card=0x43961849 chip=0x43961002
rev=0x00 hdr=0x00
    cap 01[c0] = powerspec 2  supports D0 D1 D2 D3  current D0
    cap 0a[e4] = EHCI Debug Port at offset 0xe0 in map 0x14
ohci1@pci0:0:19:0:      class=0x0c0310 card=0x43971849 chip=0x43971002
rev=0x00 hdr=0x00
ehci1@pci0:0:19:2:      class=0x0c0320 card=0x43961849 chip=0x43961002
rev=0x00 hdr=0x00
    cap 01[c0] = powerspec 2  supports D0 D1 D2 D3  current D0
    cap 0a[e4] = EHCI Debug Port at offset 0xe0 in map 0x14
none0@pci0:0:20:0:      class=0x0c0500 card=0x43851849 chip=0x43851002
rev=0x42 hdr=0x00
atapci1@pci0:0:20:1:    class=0x01018a card=0x439c1849 chip=0x439c1002
rev=0x40 hdr=0x00
hdac1@pci0:0:20:2:      class=0x040300 card=0x18921849 chip=0x43831002
rev=0x40 hdr=0x00
    cap 01[50] = powerspec 2  supports D0 D3  current D0
isab0@pci0:0:20:3:      class=0x060100 card=0x439d1849 chip=0x439d1002
rev=0x40 hdr=0x00
pcib2@pci0:0:20:4:      class=0x060401 card=0x00000000 chip=0x43841002
rev=0x40 hdr=0x01
ohci2@pci0:0:20:5:      class=0x0c0310 card=0x43991849 chip=0x43991002
rev=0x00 hdr=0x00
pcib3@pci0:0:21:0:      class=0x060400 card=0x00001002 chip=0x43a01002
rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 128(128) link x16(x1)
    cap 05[a0] = MSI supports 1 message, 64 bit
    cap 0d[b0] = PCI Bridge card=0x00001002
    cap 08[b8] = HT MSI fixed address window enabled at 0xfee00000
ecap 000b[100] = unknown 1
pcib4@pci0:0:21:1:      class=0x060400 card=0x00001002 chip=0x43a11002
rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 128(128) link x1(x1)
    cap 05[a0] = MSI supports 1 message, 64 bit
    cap 0d[b0] = PCI Bridge card=0x00001002
    cap 08[b8] = HT MSI fixed address window enabled at 0xfee00000
ecap 000b[100] = unknown 1
pcib5@pci0:0:21:2:      class=0x060400 card=0x00001002 chip=0x43a21002
rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 128(128) link x1(x1)
    cap 05[a0] = MSI supports 1 message, 64 bit
    cap 0d[b0] = PCI Bridge card=0x00001002
    cap 08[b8] = HT MSI fixed address window enabled at 0xfee00000
ecap 000b[100] = unknown 1
ohci3@pci0:0:22:0:      class=0x0c0310 card=0x43971849 chip=0x43971002
rev=0x00 hdr=0x00
ehci2@pci0:0:22:2:      class=0x0c0320 card=0x43961849 chip=0x43961002
rev=0x00 hdr=0x00
    cap 01[c0] = powerspec 2  supports D0 D1 D2 D3  current D0
    cap 0a[e4] = EHCI Debug Port at offset 0xe0 in map 0x14
hostb1@pci0:0:24:0:     class=0x060000 card=0x00000000 chip=0x17001022
rev=0x43 hdr=0x00
hostb2@pci0:0:24:1:     class=0x060000 card=0x00000000 chip=0x17011022
rev=0x00 hdr=0x00
hostb3@pci0:0:24:2:     class=0x060000 card=0x00000000 chip=0x17021022
rev=0x00 hdr=0x00
hostb4@pci0:0:24:3:     class=0x060000 card=0x00000000 chip=0x17031022
rev=0x00 hdr=0x00
    cap 0f[f0] = unknown
hostb5@pci0:0:24:4:     class=0x060000 card=0x00000000 chip=0x17041022
rev=0x00 hdr=0x00
hostb6@pci0:0:24:5:     class=0x060000 card=0x00000000 chip=0x17181022
rev=0x00 hdr=0x00
hostb7@pci0:0:24:6:     class=0x060000 card=0x00000000 chip=0x17161022
rev=0x00 hdr=0x00
hostb8@pci0:0:24:7:     class=0x060000 card=0x00000000 chip=0x17191022
rev=0x00 hdr=0x00
em0@pci0:1:0:0: class=0x020000 card=0xa01f8086 chip=0x10d38086 rev=0x00 hdr=0x00
    cap 01[c8] = powerspec 2  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit
    cap 10[e0] = PCI-Express 1 endpoint max data 128(256) link x1(x1)
    cap 11[a0] = MSI-X supports 5 messages in map 0x1c enabled
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected
ecap 0003[140] = Serial 1 001b21ffffa953fa
re0@pci0:4:0:0: class=0x020000 card=0x81681849 chip=0x816810ec rev=0x06 hdr=0x00
    cap 01[40] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 05[50] = MSI supports 1 message, 64 bit enabled with 1 message
    cap 10[70] = PCI-Express 2 endpoint IRQ 2 max data 128(256) link x1(x1)
    cap 11[b0] = MSI-X supports 4 messages in map 0x20
    cap 03[d0] = VPD
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 2 corrected
ecap 0002[140] = VC 1 max VC0
ecap 0003[160] = Serial 1 01000000684ce000
none1@pci0:5:0:0:       class=0x0c0330 card=0x70231849 chip=0x70231b6f
rev=0x01 hdr=0x00
    cap 01[50] = powerspec 3  supports D0 D1 D2 D3  current D0
    cap 05[70] = MSI supports 4 messages, 64 bit, vector masks
    cap 10[a0] = PCI-Express 2 endpoint max data 128(1024) link x1(x1)
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 0 corrected
ecap 0003[190] = Serial 1 0101010101010101

i have not tried 9 yet at all.


---------- Original Message -----------
From: Peter Jeremy <peterjeremy@acm.org>
To: Jason Seidel <jseidel@unixsystem.org>
Cc: freebsd-gnats-submit@FreeBSD.org
Sent: Sun, 31 Jul 2011 09:06:31 +1000
Subject: Re: usb/159274: USB 3.0 Etron EJ168A does not work.

> On 2011-Jul-28 21:25:45 +0000, Jason Seidel <jseidel@unixsystem.org> 
> wrote:
> >I have an ASrock E350M1/USB3 motherboard running freebsd 8.2.
> >If I enable xhci in the kernel, not only does it not detect the usb 3.0
controler, it causes the machine to go into a constant booting loop.
> >
> >I have tried just adding "device xhci" to the kernel and also building the
kernel by removing ehci, it still causing the machine to go into a booting loop.
> 
> Unfortunately, this isn't enough information to allow the problem to 
> be investigated. - What is the PCI id of your USB3 controller?  This 
> is available from pciconf. - At what point does the system reboot & 
> what is displayed immediately  before the reboot. - What happens if 
> you boot GENERIC and kldload xhci? - Can you gheck if the problem 
> still exists with 9-CURRENT
> 
> -- 
> Peter Jeremy
------- End of Original Message -------
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:06 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped